import { FlexipageOptions } from '../utils/types';
import { BaseGenerator } from './baseGenerator';
export default class FlexipageGenerator extends BaseGenerator<FlexipageOptions> {
    constructor(options: FlexipageOptions);
    validateOptions(): void;
    generate(): Promise<void>;
    /**
     * Recursively process template directory and generate files
     */
    private generateFlexipageFromTemplate;
    /**
     * Check if file should be rendered as EJS template
     */
    private isTemplateFile;
}
